package com.zm.order.tool.server.request;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import springfox.documentation.spring.web.json.Json;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author 陈标
 * @Date 2020/3/12 15:17
 */
public class CreateStatusFlowsRequest implements Serializable {

    private static final long serialVersionUID = 4289245117152510954L;


    @ApiModelProperty(value = "业务类型 餐饮1 零售2 企小店3",example = "1",required = true)
    private String bizType;

    @ApiModelProperty(value = "单据类型",example = "1,2,3",required = true)
    private String docTypes;

    @ApiModelProperty(value = "之前状态",example = "1,2,3",required = true)
    private String beforeStatusS;

    @ApiModelProperty(value = "操作",example = "test",required = true)
    private String operation;

    @ApiModelProperty(value = "之后状态",example = "1",required = true)
    private Integer afterStatus;

    public String getBizType() {
        return bizType;
    }

    public void setBizType(String bizType) {
        this.bizType = bizType;
    }

    public String getDocTypes() {
        return docTypes;
    }

    public void setDocTypes(String docTypes) {
        this.docTypes = docTypes;
    }

    public String getBeforeStatusS() {
        return beforeStatusS;
    }

    public void setBeforeStatusS(String beforeStatusS) {
        this.beforeStatusS = beforeStatusS;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public Integer getAfterStatus() {
        return afterStatus;
    }

    public void setAfterStatus(Integer afterStatus) {
        this.afterStatus = afterStatus;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
